{#
/**
 * The global footer component is at the bottom of every page of every site.
 *
 * site_name - The name of the site
 * footer_info
 * footer_links
 * footer_menu
 *
 */
#}

<footer role="contentinfo" class="bg-black">
  <div class="text-text-contrast-secondary 2xl:container mx-auto px-16 md:px-24 lg:px-32 flex flex-col pt-40 sm:pt-48 pb-24 relative gap-24">
    <div class="flex flex-col md:flex-row justify-between gap-32 md:gap-64">
      <div class="flex flex-col gap-32">
        <h4 class="text-style-heading-md">{{ site_name }}</h4>
        {{ footer_info }}
      </div>
      <div class="flex flex-col sm:flex-row gap-32 md:gap-64 justify-stretch">
        {{ footer_links }}
      </div>
    </div>

    <div class="h-[1px] bg-divider-contrast-subtle"></div>

    <div class="flex flex-col-reverse gap-40 md:gap-0 md:flex-row justify-between md:items-center">
      <div class="flex flex-col gap-16">
        <img
          src="{{ '/themes/custom/cambridge_tailwind/images/cambridge_logo_reversed.png' }}"
          alt="Logo"
          class="uni-logo-reversed img-responsive h-[32px] w-[154px] sm:h-[34px] sm:w-[164px]"
        />
        <span>&copy; {{ 'now' | date('Y') }} University of Cambridge</span>
      </div>

      <div>
        {{ footer_menu }}
      </div>
    </div>

  </div>
</footer>
